## org.metaabm.gen.util
Class GeneratorUtils

    java.lang.Object
      org.metaabm.gen.util.GeneratorUtils

    public class GeneratorUtils

extends java.lang.Object

Author:
  Miles Parker

Constructor Summary
`GeneratorUtils()`

Method Summary
`static java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getMissingFeatures(org.eclipse.emf.ecore.EObject object)`
`static java.util.List<java.lang.String>` `getMissingNames(org.eclipse.emf.ecore.EObject object)`
`static java.lang.String` `getPackageLocation(org.eclipse.emf.ecore.EObject obj)`
`static boolean` `isValidID(java.lang.String id)`
`static java.lang.String` `timelapse(java.lang.Integer start)`
`static int` `timesec()`
`static java.lang.String` `timestamp()`
`static void` `workBegin(org.eclipse.core.runtime.IProgressMonitor monitor, java.lang.String name, java.lang.Integer count)`
`static void` `workItemDone(org.eclipse.core.runtime.IProgressMonitor monitor)`
`static void` `workName(org.eclipse.core.runtime.IProgressMonitor monitor, java.lang.String name)`
`static void` `workRemaining(org.eclipse.core.runtime.IProgressMonitor monitor, java.lang.Integer count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorUtils

    public GeneratorUtils()

Method Detail

### timestamp

    public static java.lang.String timestamp()

### timesec

    public static int timesec()

### timelapse

    public static java.lang.String timelapse(java.lang.Integer start)

### getPackageLocation

    public static java.lang.String getPackageLocation(org.eclipse.emf.ecore.EObject obj)

### getMissingFeatures

    public static java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getMissingFeatures(org.eclipse.emf.ecore.EObject object)

### getMissingNames

    public static final java.util.List<java.lang.String> getMissingNames(org.eclipse.emf.ecore.EObject object)

### isValidID

    public static final boolean isValidID(java.lang.String id)

### workItemDone

    public static final void workItemDone(org.eclipse.core.runtime.IProgressMonitor monitor)

### workName

    public static final void workName(org.eclipse.core.runtime.IProgressMonitor monitor,
                                      java.lang.String name)

### workBegin

    public static final void workBegin(org.eclipse.core.runtime.IProgressMonitor monitor,
                                       java.lang.String name,
                                       java.lang.Integer count)

### workRemaining

    public static final void workRemaining(org.eclipse.core.runtime.IProgressMonitor monitor,
                                           java.lang.Integer count)